summaryrefslogtreecommitdiff
path: root/include/chromebook.sh
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2026-03-29 15:48:49 +0100
committerLeah Rowe <leah@libreboot.org>2026-03-29 16:08:00 +0100
commite54862fcccca0325da8ae2879c1fa965267d3df0 (patch)
tree337f39085fc382cb56781dea4c329672d45e08a2 /include/chromebook.sh
parent8657d084d2ae61a4cb06b5bc63223a92bfb5beb0 (diff)
lbmk: use mkhtemp in libreboot's build system
i added a fake -t option, which doesn't actually read optarg, so that -t usage can just override the normal template. mkhtemp isn't ready for distros yet, but it's ready for lbmk. i hacked the makefile to also copy the binary to mktemp, and i set PATH in lbmk so that this binary is used insttead of the one on your system. that way, upstream projects use it. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include/chromebook.sh')
-rw-r--r--include/chromebook.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/include/chromebook.sh b/include/chromebook.sh
index 0b8b50f1..ce1bcd5c 100644
--- a/include/chromebook.sh
+++ b/include/chromebook.sh
@@ -35,7 +35,7 @@ prep_mr_import()
err "Project import disabled on releases" "prep_mr_import" "$@"
fi
- mr_tmpdir="`mktemp -d || err "can't make mrtmpdir"`" || \
+ mr_tmpdir="`"$mkhtemp" -d || err "can't make mrtmpdir"`" || \
err "can't make mrtmpdir" "prep_mr_coreboot" "$@"
x_ remkdir "$mr_tmpdir"